Subject: [secdir] secdir review of draft-ietf-tls-extractor-06

From: "pat cain" <[email-masked]>
Date: Mon, 10 Aug 2009 12:01:17 -0400

Hi,

I have reviewed this document as part of the security directorate's
ongoing effort to review all IETF documents being processed by the
IESG.  These comments were written primarily for the benefit of the
security area directors.  Document editors and WG chairs should treat
these comments just like any other last call comments.

   A number of protocols wish to leverage Transport Layer Security (TLS)
   to perform key establishment but then use some of the keying material
   for their own purposes.  This document describes a general mechanism
   for allowing that.

The document looks alright to me.

Pat Cain